{% extends 'base.html' %} {% load semanticui %}

{% block body %}
    <div class="ui centered grid" style="margin-top: 5em">
        <div class="ui row">
            <div class="ui segment">
                <form class = "ui form" method="post">
                    {% csrf_token %}
                    {% render_form form %}
                    <button class="ui green button" type="submit">Search</button>
                </form>
            </div>
        </div>
    </div>
    {% if movies or series %}
        <div class="ui centered grid" style="margin-left: 5em; margin-right: 5em">
            {% for item in movies %}
                <div class="four wide column">
                    <div class="ui segment">
                        <div class="ui red label" style="margin-bottom: 1em">Movie</div>
                        <p>{{ item.content.name }}</p>
                        <p>release date: {{ item.content.release_date }}</p>
                        <p>rate: {{ item.content.rate }}</p>
                        <p>
                            cast: {% for content_actor in item.content.contentactor_set.all %}
                                {{ content_actor.actor.name }}
                            {% endfor %}
                        </p>
                    </div>
                </div>
            {% endfor %}
            {% for item in series %}
                <div class="four wide column">
                    <div class="ui segment">
                        <div class="ui blue label" style="margin-bottom: 1em">Series</div>
                        <p>{{ item.content.name }}</p>
                        <p>release date: {{ item.content.release_date }}</p>
                        <p>rate: {{ item.content.rate }}</p>
                        <p>
                            cast: {% for content_actor in item.content.contentactor_set.all %}
                                {{ content_actor.actor.name }}
                            {% endfor %}
                        </p>
                    </div>
                </div>
            {% endfor %}
        </div>
    {% endif %}
{% endblock %}